## Public API Reference

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# iSaverPlugin Struct Reference
[Loading & Saving support]

This is a plugin to save with. More...

`#include <imap/writer.h>`

Inheritance diagram for iSaverPlugin:

[legend]
List of all members.

## Public Member Functions

virtual bool | WriteDown (iBase *obj, iDocumentNode *parent, iStreamSource *ssource)=0
| Take a given object and push description onto the given file.

## Detailed Description

This is a plugin to save with.

Definition at line 36 of file writer.h.

## Member Function Documentation

virtual bool iSaverPlugin::WriteDown | ( | iBase * | obj,
|  | iDocumentNode * | parent,
|  | iStreamSource * | ssource
| ) | `[pure virtual]`

| Take a given object and push description onto the given file.

The documentation for this struct was generated from the following file:

- imap/writer.h